curl -X POST https://api.hookpulse.io/v1/api/get_webhook_template_uuid/ \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}" \
-H "Content-Type: application/json" \
-d '{
"webhook_name": "{{webhook_name}}"
}'
const response = await fetch('https://api.hookpulse.io/v1/api/get_webhook_template_uuid/', {
method: 'POST',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
},
body: JSON.stringify({
webhook_name: '{{webhook_name}}'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/get_webhook_template_uuid/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
}
payload = {
'webhook_name': '{{webhook_name}}'
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/get_webhook_template_uuid/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
webhook_name: '{{webhook_name}}'
}.to_json
response = http.request(request)
puts JSON.parse(response.body)
<?php
$url = 'https://api.hookpulse.io/v1/api/get_webhook_template_uuid/';
$data = [
'webhook_name' => '{{webhook_name}}'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
{
"success": true,
"webhook_uuid": "{{webhook_uuid}}"
}
Webhook Template
Get Webhook Template UUID by Name
Retrieve the UUID of a webhook template by providing its name
POST
/
v1
/
api
/
get_webhook_template_uuid
/
curl -X POST https://api.hookpulse.io/v1/api/get_webhook_template_uuid/ \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}" \
-H "Content-Type: application/json" \
-d '{
"webhook_name": "{{webhook_name}}"
}'
const response = await fetch('https://api.hookpulse.io/v1/api/get_webhook_template_uuid/', {
method: 'POST',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
},
body: JSON.stringify({
webhook_name: '{{webhook_name}}'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/get_webhook_template_uuid/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
}
payload = {
'webhook_name': '{{webhook_name}}'
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/get_webhook_template_uuid/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
webhook_name: '{{webhook_name}}'
}.to_json
response = http.request(request)
puts JSON.parse(response.body)
<?php
$url = 'https://api.hookpulse.io/v1/api/get_webhook_template_uuid/';
$data = [
'webhook_name' => '{{webhook_name}}'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
{
"success": true,
"webhook_uuid": "{{webhook_uuid}}"
}
Retrieve the UUID of a webhook template by providing its name.
Base URL
All API requests should be made to:https://api.hookpulse.io
Example request
curl -X POST https://api.hookpulse.io/v1/api/get_webhook_template_uuid/ \
-H "x-hookpulse-api-key: {{x-hookpulse-api-key}}" \
-H "x-brand-uuid: {{x-brand-uuid}}" \
-H "Content-Type: application/json" \
-d '{
"webhook_name": "{{webhook_name}}"
}'
const response = await fetch('https://api.hookpulse.io/v1/api/get_webhook_template_uuid/', {
method: 'POST',
headers: {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
},
body: JSON.stringify({
webhook_name: '{{webhook_name}}'
})
});
const data = await response.json();
console.log(data);
import requests
url = 'https://api.hookpulse.io/v1/api/get_webhook_template_uuid/'
headers = {
'x-hookpulse-api-key': '{{x-hookpulse-api-key}}',
'x-brand-uuid': '{{x-brand-uuid}}',
'Content-Type': 'application/json'
}
payload = {
'webhook_name': '{{webhook_name}}'
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
require 'net/http'
require 'json'
require 'uri'
uri = URI('https://api.hookpulse.io/v1/api/get_webhook_template_uuid/')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri.path)
request['x-hookpulse-api-key'] = '{{x-hookpulse-api-key}}'
request['x-brand-uuid'] = '{{x-brand-uuid}}'
request['Content-Type'] = 'application/json'
request.body = {
webhook_name: '{{webhook_name}}'
}.to_json
response = http.request(request)
puts JSON.parse(response.body)
<?php
$url = 'https://api.hookpulse.io/v1/api/get_webhook_template_uuid/';
$data = [
'webhook_name' => '{{webhook_name}}'
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'x-hookpulse-api-key: {{x-hookpulse-api-key}}',
'x-brand-uuid: {{x-brand-uuid}}',
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
Request body
| Field | Type | Required | Description |
|---|---|---|---|
webhook_name | string | Yes | Name of the webhook template |
Example response
Success response
{
"success": true,
"webhook_uuid": "{{webhook_uuid}}"
}
Error response
{
"error": "Webhook not found",
"success": false
}
Response fields
Success response
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the request was successful (always true on success) |
webhook_uuid | string | Unique identifier for the webhook template |
Error response
| Field | Type | Description |
|---|---|---|
success | boolean | Indicates if the request was successful (always false on error) |
error | string | Error message describing what went wrong |
Authorizations
API key for authentication. Get this from your dashboard by selecting a brand and going to API Keys section.
Brand UUID for authentication. Get this from your dashboard after adding a brand - it will be displayed in the UI.
Body
application/json
Webhook template lookup by name
Name of the webhook template
⌘I

